"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
function get(k, defaultValue) {
    return process.env[k] || defaultValue;
}
exports.env = {
    all(prefix, trim) {
        let allContains = {};
        const ciKeys = Object.keys(process.env).filter(key => key.startsWith(prefix));
        ciKeys.forEach(key => {
            allContains[trim ? key.slice(prefix.length) : key] = process.env[key];
        });
        return allContains;
    },
    get,
    has(k) {
        return Boolean(get(k));
    },
    require(k) {
        const v = process.env[k];
        if (!v) {
            throw new errors_1.JobException(`${k} not found in environment`, 'server');
        }
        return v;
    },
};
